
public class Gen09 {

	public static void main(String[] args) {
		String name = "Russia Univesity number";
		System.out.println("100000 40000 4");
		for(int i = 0; i < 100000; ++i) {
			System.out.println(name);
		}
		for(int i = 0; i < 100000; ++i) {
			System.out.print((i + 1)+ " ");
		}
	}
} 